### Property

# Gtk GLArea:has-depth-buffer

#### Declaration

    property has-depth-buffer: gboolean [ read, write ]

#### Description [src]

If set to `TRUE` the widget will allocate and enable a depth buffer for the target framebuffer.

Setting this property will enable GL’s depth testing as a side effect. If you don’t need depth testing, you should call `glDisable(GL_DEPTH_TEST)` in your `GtkGLArea::render` handler.

Type: | `gboolean`

Default value | FALSE
Getter method | `gtk_gl_area_get_has_depth_buffer()`
Setter method | `gtk_gl_area_set_has_depth_buffer()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no